
{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.snaliens": {
			"states": {
				"default": {
                    "animations": [
						"idle"
					],
					"transitions": [
						{ "move": "query.ground_speed > 0" },
                        { "attack": "query.is_delayed_attacking" }
					],
					"blend_transition": 0.2,
					"blend_via_shortest_path": true
				},
				"move": {
					"transitions": [
						{ "default": "query.ground_speed == 0"},
						{ "attack": "query.is_delayed_attacking" }
					],
					"animations": [
						"move"
					],
					"blend_transition": 0.2,
					"blend_via_shortest_path": true
				},
				"attack": {
					"transitions": [
						{ "default": "!query.is_delayed_attacking" }
					],
					"animations": [
						"attack"
					],
					"blend_transition": 0.2,
					"blend_via_shortest_path": true
				}
			}
		}
	}
}